Android のセキュリティに関する公開情報 - 2019 年 9 月

2019 年 9 月 3 日公開

Android のセキュリティに関する公開情報には、Android デバイスに影響を及ぼすセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2019-09-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法についての説明をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。下記の問題に対するソースコードのパッチは、これから 48 時間の間に Android オープンソース プロジェクト(AOSP)リポジトリにリリースされます。AOSP リンクが利用可能になり次第、この公開情報を改訂します。

下記の問題のうち最も重大度の高いものは、メディア フレームワーク コンポーネントに重大なセキュリティの脆弱性があるため、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行できるようになるおそれがあることです。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。

この新たに報告された問題によってユーザー デバイスが実際に不正使用されたという報告はありません。Android プラットフォームのセキュリティの向上に役立つ Android セキュリティ プラットフォームでの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトでのリスク軽減策をご覧ください。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームGoogle Play プロテクトのようなサービスによる保護でリスクを軽減する手段について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android プラットフォームを更新して機能を強化することで、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害となる可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2019-09-01 の脆弱性の詳細

以下に、パッチレベル 2019-09-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクを設定しています。

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2123 A-34175893 EoP 7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2174 A-132927376 EoP 7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2175 A-135551349 EoP 9
CVE-2019-9254 A-130164289 EoP 10
CVE-2019-2103 A-120610669 ID 9

メディア フレームワーク

メディア フレームワークの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2176 A-134420911 RCE 重大 8.0、8.1、9
CVE-2019-2108 A-130025324 RCE 重大 10

システム

システムの最も重大な脆弱性により、リモートの攻撃者が特別に細工した通信を使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2177 A-132456322 RCE 7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2115 A-129768470 EoP 7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2178 A-124462242 EoP 7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2179 A-126200054 ID 7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2180 A-110899492 ID 8.0、8.1、9
CVE-2019-2124 A-127320867 ID 7.1.1、7.1.2、8.0、8.1、9

セキュリティ パッチレベル 2019-09-05 の脆弱性の詳細

以下に、パッチレベル 2019-09-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。影響を受けるコンポーネントごとに脆弱性を分類し、CVE、関連する参照先、脆弱性のタイプ重大度、コンポーネント(該当する場合)、更新対象の AOSP バージョン(該当する場合)などの詳細を記載しています。該当する場合は、バグ ID の欄に、その問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクを設定しています。

カーネル コンポーネント

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2018-20669 A-135368228* EoP i915 ドライバ
CVE-2019-2181 A-130571081
アップストリーム カーネル
EoP Binder ドライバ

NVIDIA コンポーネント

NVIDIA コンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2018-6240 A-72315181* EoP BootROM
CVE-2018-6240 A-110169243* EoP BootROM
CVE-2017-5715 A-73294344* ID ARM Trusted Firmware

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-17768 A-67748905
QC-CR#2127172
なし LK ブートローダー
CVE-2019-2283 A-127513124
QC-CR#2355425
なし カーネル
CVE-2019-2316 A-129848922
QC-CR#2358397
なし HLOS
CVE-2019-10491 A-132171785
QC-CR#2380709 [2]
なし 音声
CVE-2019-10505 A-123533258
QC-CR#2231755
なし WLAN ホスト
CVE-2019-10505 A-132171579
QC-CR#2246426
なし WLAN ホスト
CVE-2019-2323 A-132173424
QC-CR#2370589
なし HLOS
CVE-2019-2324 A-132173296
QC-CR#2372292
なし 音声
CVE-2019-2325 A-132171784
QC-CR#2372302 [2]
なし 音声
CVE-2019-2331 A-132172905
QC-CR#2380697 [2]
なし 音声
CVE-2019-2332 A-132171963
QC-CR#2380699 [2]
なし 音声
CVE-2019-10512 A-134439528
QC-CR#2380702 [2]
なし 音声
CVE-2019-10515 A-134440011
QC-CR#2366038 [2]
なし カーネル
CVE-2019-10524 A-134440735
QC-CR#2422233 [2] [3]
なし カメラドライバ
CVE-2019-10529 A-134439992
QC-CR#2442261
なし グラフィックス ドライバ
CVE-2019-10531 A-134441415
QC-CR#2402890 [2]
なし カーネル
CVE-2018-11891 A-134440013
QC-CR#2288859
なし WLAN ホスト

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2019-2258 A-123998354* なし 重大 クローズドソース コンポーネント
CVE-2019-10533 A-134437210* なし 重大 クローズドソース コンポーネント
CVE-2019-2275 A-127347579* なし クローズドソース コンポーネント
CVE-2019-2246 A-127347339* なし クローズドソース コンポーネント
CVE-2019-10488 A-132108617* なし クローズドソース コンポーネント
CVE-2019-10495 A-132108855* なし クローズドソース コンポーネント
CVE-2019-10496 A-132108737* なし クローズドソース コンポーネント
CVE-2019-2249 A-132108854* なし クローズドソース コンポーネント
CVE-2019-2285 A-132109149* なし クローズドソース コンポーネント
CVE-2019-10504 A-134437132* なし クローズドソース コンポーネント
CVE-2019-10504 A-134437173* なし クローズドソース コンポーネント
CVE-2019-10522 A-134437134* なし クローズドソース コンポーネント
CVE-2019-10534 A-134437379* なし クローズドソース コンポーネント
CVE-2019-10541 A-134437115* なし クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問についての回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法についての説明をご覧ください。

  • セキュリティ パッチレベル 2019-09-01 以降では、セキュリティ パッチレベル 2019-09-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2019-09-05 以降では、セキュリティ パッチレベル 2019-09-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

このアップデートを組み込んだデバイス メーカーは、パッチレベル文字列を以下に設定する必要があります。

  • [ro.build.version.security_patch]:[2019-09-01]
  • [ro.build.version.security_patch]:[2019-09-05]

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報で、2 つのセキュリティ パッチレベルを定義しているのは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーには、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2019-09-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2019-09-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、「参照」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必要ありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2019 年 9 月 3 日 情報公開